#
# spec file for package agl-xds-cli
#

%define _prefix /opt/AGL
%global debug_package %{nil}

Name:           agl-xds-cli
Version:        0.0.0
Release:        0
License:        Apache-2.0
Summary:        Command line tool to interact with XDS
Url:            https://gerrit.automotivelinux.org/gerrit/p/src/xds/xds-cli.git
Source0:        xds-cli_linux-amd64-%{version}.zip
Source1:        rpmlintrc
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          Development/Tools/Debuggers

%description
xds-cli is a client tool that should be used to interact with an XDS server.

%prep
%setup -q -n xds-cli

%build

%install
mkdir -p %{?buildroot}%{_prefix}/xds/cli %{?buildroot}%{_bindir}
cp xds-cli %{?buildroot}%{_prefix}/xds/cli
ln -s ../xds/cli/xds-cli %{?buildroot}%{_bindir}/xds-cli

mkdir -p %{?buildroot}%{_sysconfdir}/bash_completion.d
cp ./conf.d/etc/bash_completion.d/xds-cli %{?buildroot}%{_sysconfdir}/bash_completion.d/

mkdir -p %{?buildroot}%{_sysconfdir}/profile.d
sed -e "s;@XDS_INSTALL_BIN_DIR@;%{_bindir};g" ./conf.d/etc/profile.d/xds-cli.sh > %{buildroot}%{_sysconfdir}/profile.d/%{name}.sh

%files
%defattr(-,root,root)
%dir %{_prefix}
%dir %{_bindir}
%dir %{_prefix}/xds
%dir %{_prefix}/xds/cli
%{_prefix}/xds/cli/*
%{_bindir}/xds-cli
%attr(644,root,root) %{_sysconfdir}/bash_completion.d/xds-cli
%config %{_sysconfdir}/profile.d/%{name}.sh
%attr(644,root,root) %{_sysconfdir}/profile.d/%{name}.sh
